public inbox for u-boot@lists.denx.de
 help / color / mirror / Atom feed
* [U-Boot] [PATCH v4 1/2] tools, config.mk: add binutils-version
@ 2012-07-18 23:45 Allen Martin
  2012-07-18 23:45 ` [U-Boot] [PATCH v4 2/2] arm: work around assembler bug Allen Martin
  2012-07-19  3:11 ` [U-Boot] [PATCH v4 1/2] tools, config.mk: add binutils-version Mike Frysinger
  0 siblings, 2 replies; 18+ messages in thread
From: Allen Martin @ 2012-07-18 23:45 UTC (permalink / raw)
  To: u-boot

Modeled after gcc-version, add function to get binutils version.

Signed-off-by: Allen Martin <amartin@nvidia.com>
---
 config.mk                 |    1 +
 tools/binutils-version.sh |   20 ++++++++++++++++++++
 2 files changed, 21 insertions(+)
 create mode 100755 tools/binutils-version.sh

diff --git a/config.mk b/config.mk
index 3dcea6a..919b77d 100644
--- a/config.mk
+++ b/config.mk
@@ -128,6 +128,7 @@ endif
 # cc-version
 # Usage gcc-ver := $(call cc-version)
 cc-version = $(shell $(SHELL) $(SRCTREE)/tools/gcc-version.sh $(CC))
+binutils-version = $(shell $(SHELL) $(SRCTREE)/tools/binutils-version.sh $(AS))
 
 #
 # Include the make variables (CC, etc...)
diff --git a/tools/binutils-version.sh b/tools/binutils-version.sh
new file mode 100755
index 0000000..d4d9eb4
--- /dev/null
+++ b/tools/binutils-version.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# binutils-version [-p] gas-command
+#
+# Prints the binutils version of `gas-command' in a canonical 4-digit form
+# such as `0222' for binutils 2.22
+#
+
+gas="$*"
+
+if [ ${#gas} -eq 0 ]; then
+	echo "Error: No assembler specified."
+	printf "Usage:\n\t$0 <gas-command>\n"
+	exit 1
+fi
+
+MAJOR=$($gas --version | head -1 | awk '{print $NF}' | cut -d . -f 1)
+MINOR=$($gas --version | head -1 | awk '{print $NF}' | cut -d . -f 2)
+
+printf "%02d%02d\\n" $MAJOR $MINOR
-- 
1.7.9.5

^ permalink raw reply related	[flat|nested] 18+ messages in thread

end of thread, other threads:[~2012-10-04  8:47 UTC | newest]

Thread overview: 18+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-07-18 23:45 [U-Boot] [PATCH v4 1/2] tools, config.mk: add binutils-version Allen Martin
2012-07-18 23:45 ` [U-Boot] [PATCH v4 2/2] arm: work around assembler bug Allen Martin
2012-07-19  6:06   ` Albert ARIBAUD
2012-07-19 15:08     ` Tom Rini
2012-08-01 17:34       ` Allen Martin
2012-10-04  8:47   ` Albert ARIBAUD
2012-07-19  3:11 ` [U-Boot] [PATCH v4 1/2] tools, config.mk: add binutils-version Mike Frysinger
2012-07-19 15:08   ` Tom Rini
2012-07-19 15:21     ` Mike Frysinger
2012-07-19 15:38       ` Tom Rini
2012-07-19 16:43         ` Mike Frysinger
2012-07-19 16:54           ` Tom Rini
2012-08-01 22:31             ` Mike Frysinger
2012-08-01 22:46               ` Allen Martin
2012-08-01 22:55                 ` Graeme Russ
2012-08-01 23:01                 ` Mike Frysinger
2012-08-02 17:12                   ` Allen Martin
2012-08-02 19:30                     ` Wolfgang Denk

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox